All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
platform.hpp File Reference

Implements a OpenCL platform within ViennaCL. More...

`#include <CL/cl.h>`
`#include <vector>`
`#include "viennacl/ocl/forwards.h"`
`#include "viennacl/ocl/device.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::ocl::platform
| Wrapper class for an OpenCL platform. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Functions

std::vector< platform > | viennacl::ocl::get_platforms ()

## Detailed Description

Implements a OpenCL platform within ViennaCL.

Definition in file platform.hpp.